# WING (Wing Is Not Galage) Makefile
# Authors : Adam Hiatt and Anil Shrestra

TARGET := wing.exe

CC := gcc
CFLAGS := -g -O3 -m486 
CXXFLAGS := $(CFLAGS)

OBJ := main.o
LIBS := -lalleg -lstdcxx


wing.exe : $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) -o $(TARGET) $(LIBS)

main.o : main.cpp
	$(CC) $(CFLAGS) -c main.cpp 

clean:
	del *.o
	del $(TARGET)